<template>
    <div>
         <form class="register-form" @submit.prevent="handleSubmit">
              <div class="row">
                <div class="nine columns">
            <input type = "text" placeholder="First Name" v-model="first_name" required>
                </div> 
            </div>
             <div class="row">
                <div class="nine columns">
            <input type = "text" placeholder="Last Name" v-model="last_name" required>
            </div> 
        </div>
             <div class="row">
                <div class="nine columns">
            <input type = "email" placeholder="Email" v-model="email" required>
            </div> 
        </div>
             <div class="row">
                <div class="nine columns">
            <input type = "text" placeholder="Username" v-model="username" required>
            </div> 
        </div>
             <div class="row">
                <div class="nine columns">
            <input type = "password" placeholder="Password" v-model="pass" required>
            </div> 
        </div>
        <div class="row">
                <div class="nine columns">
            <input type = "password" placeholder="Confirm Password" v-model="con_pass" required>
            </div> 
        </div>
            <button class="button-primary" type="submit">Sign Up</button>
        </form>
    </div>
</template>
<script>
import {httpClient} from "../api/httpclient"
import "../assets/normalize.css"
import "../assets/skeleton.css"

export default {
    data() {
        return {
            first_name:'',
            last_name:'',
            email:'',
            username : '',
            pass : '',
            con_pass: ''
        }
        
    },
    methods: {
        handleSubmit(){
            const data = {
                username: this.username,
                email:this.email,
                first_name:this.first_name,
                last_name:this.last_name,
                password: this.pass,
                confirm_password: this.con_pass
            }
            //validacija
            if(this.first_name.length < 3 || this.first_name.length > 15){
                alert("First name must be between 3 and 15 characters long");
             
            }
            else if(this.last_name.length < 3 || this.last_name.lenght > 20){
                alert("Last name must be between 3 and 20 characters long");
            }
            else if(this.email.indexOf("@")< 1){
                alert("Invalid email adress!");
                
            }
            else if(this.username.length < 3 || this.username.length > 10){
                alert("Username must be between 3 and 10 characters long");
              
            }
            else if(this.pass < 8){
                alert("Password must be at least 8 characters long!");
              
            }
            else if(this.pass != this.con_pass){
                alert("Passwords dont match!")

            }
            
            //console.log(httpClient.post, 'eqwe')
            // httpClient.httpClient.post(data)
            httpClient.post("/account/registration/",data);
            this.$router.push({name:"TheLogin"})
            }
            
        }
    }

</script>
<style scoped>
.register-form{
    padding-top: 10%;
    display:grid;
    justify-content: center;
}
</style>
